Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Panel

The Moonshot GSS libraries are unfortunately currently not compatible with any version of Mac OS. This is because the Moonshot GSS libraries are built to work with MIT Kerberos libraries while Mac OS ships with an alternative set of Kerberos libraries known as Heimdal. We intend to include Mac support in the futuremacOS. A client for macOS 10.12 and later is available for download. Earlier versions are supported on a self-build basis only.

We do not support macOS as a server OS.

Contents

Table of Contents

Numbered Headings

Key

In the tables below, the following icons have the following meanings:

  • (tick) - Moonshot is available for this version of Mac OS through a repository macOS through an installer package and has been tested and verified as working.
  • (warning) - Moonshot has unofficially been tested on this version of macOS, but an installer package does not exist for it.
  • (error) - Moonshot is not available for this version of Mac OS macOS, and or is known not to work (at least, not without a large amount of custom work).
  • (question) - Moonshot has not been tested on this version of Mac OS macOS yet. Let us know if you have tried it!

Compatibility

Version32/64-bitNotes
Mac OS X / macOS (Yosemite onwards)(error)We intend to support macOS in early to mid-2017.

The information in this section is subject to our software support policy.

VersionSupported?Notes
macOS 10.14 Mojave(tick)Download from our repository. Self-build instructions are here.
macOS 10.13 High Sierra(tick)Download from our repository. Self-build instructions are here.
macOS 10.12 Sierra(tick)Download from our repository. Self-build instructions are here.
Mac OS X 10.11 El Capitan(warning)

We have tested the basic mechanism on Mac OS X 10.11, but we do not support this version of OS X or earlier. Self-build instructions are here.

Download Moonshot for macOS

Image Added